Bug 212161 - system-config-lvm do not seems to be aware that ext2online has been removed and do not use resize2fs instead
system-config-lvm do not seems to be aware that ext2online has been removed a...
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
: Reopened
: 216071 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-25 09:25 EDT by Jérôme Benoit
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: Fedora 7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-11 11:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2006-10-25 09:25:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv: Gecko/20060913 Fedora/ Firefox/ pango-text

Description of problem:
Cannot resize online ext3 filesystem after an LV extend for example

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run system-config-lvm
2. resize a Logical Volume with ext3 fs on it, a busy one like the / mount point
3. you're then warned : resize can only be done on a umounted ext3 filesystem. 

Actual Results:
well, nothing, it's the problem ;-)

Expected Results:
online resize should have been done on the busy LV with ext3 on it.

Additional info:
Comment 1 Jérôme Benoit 2006-10-25 09:28:41 EDT
ext2online has been replaced by resize2fs in e2fsprogs-1.39, it's should the
problem. system-config-lvm is not aware of it.
Comment 2 Stanko Kupcevic 2006-11-17 13:25:57 EST
*** Bug 216071 has been marked as a duplicate of this bug. ***
Comment 3 Stanko Kupcevic 2006-11-17 13:31:42 EST
s-c-lvm determines if ext3 can be extended online, by checking for the presence
of ext2online. 
Since ext2online was not found, message "resize can only be done on a unmounted
ext3 filesystem" was displayed, and online resizing was disabled. 

Will fix... 
Comment 4 Stanko Kupcevic 2006-12-18 16:23:24 EST

*** This bug has been marked as a duplicate of 218126 ***
Comment 5 Michael Kearey 2007-02-10 23:40:39 EST
This bug has been closed as a duplicte of a RHEL5 bug. The RHEL5 bug has been
closed as closed with a resolution of CURRENTRELEASE.

However, the resolution appears to have not made it to any current release of FC6.

So I have re-opened this bug as a gentle reminder. 

Comment 6 William Lovaton 2007-03-05 20:49:16 EST
I can confirm this is happening in RAWHIDE as of today: Fedora 7 Test 2 with the
latest updates.

This works perfectly fine in RHEL 4 Update 4.

Please, remember to fix this in RAWHIDE too.
Comment 7 Jérôme Benoit 2007-06-04 07:17:09 EDT
Ping? Can someone backport system-config-lvm from F7 to FC6? 
The version in F7 do not seems to have this bug. Please.


Note You need to log in before you can comment on or make changes to this bug.